html,body {
  width: 100%;
  height: 100%;
  clip: auto;
  position: relative;
  overflow-y: scroll;
  overflow-x: hidden;
}

.reenie-beanie-regular {
  font-family: "Reenie Beanie", cursive;
  font-weight: 400;
  font-style: normal;
}

.goback {
  color: white;
  position:absolute;
  top: 3vh;
  left: 3vw;
  background-color: #d9d9d93b;
  border-radius: 9px;
  padding: 5px;
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  text-decoration: none;
}

.goback:hover {
  background-color: rgba(109, 247, 194, 0.375);
}

body {
  padding: 10em;
  padding-top: 2em;
  background-image: url('../images/photobookbg.png');
  background-size:100%;
  background-repeat: no-repeat;
}

@font-face {
    font-family: 'konkhmer';
    src: url(../fonts/konkhmer-sleokchher-khmer-400-normal.ttf);
}

h1 {
  font-family: 'konkhmer';
  color: #393457FF;
  font-size: 100px;
  margin:0px;
  text-shadow: 0 0.25em 0.25em rgba(0, 0, 0, 0.255);
}

p {
  font-family:'Reenie Beanie';
  font-size: 2em;
  margin: 0;
}

.separator {
  height: 2.5em;
  width: 80vw;
  object-fit: fill;
  margin-bottom: 1em; 
}

.gallery {
  display:flex;
  width: 80vw;
  flex-wrap: wrap;
  justify-content: space-around;
}

img {
  aspect-ratio: 1/1;
  height: 14em;
  object-fit: cover;
}

.polaroid {
  display:flex;
  height: 17em;
  aspect-ratio: 250/350;
  background-color: #d9d9d9;
  border-radius: 10px;
  padding: 1em;
  text-align: center;
  filter: drop-shadow(0 0.25em 0.25em rgba(0, 0, 0, 0.255));
  flex-direction: column;
  justify-content: space-between;
  margin-right: 1em; 
  margin-bottom: 2em;
  transition: transform 0.3s ease-in-out;
}

.polaroid:hover {
  transform: rotate(5deg);
  animation: rotate 0.3s ease-in-out forwards;
}

.polaroid:not(:hover) {
  animation: rotate-back 0.3s ease-in-out forwards;
}

@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(5deg);
  }
}

@keyframes rotate-back {
  0% {
    transform: rotate(5deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

